PipeWire 1.4.8

Loading...
Searching...
No Matches
pw_impl_factory_events Struct Reference
Implementation API » Factory Impl

Factory events, listen to them with pw_impl_factory_add_listener. More...

`#include <pipewire/impl-factory.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| the factory is destroyed
void(* | free )(void *data)
| the factory is freed
void(* | initialized )(void *data)
| the factory is initialized

## Detailed Description

Factory events, listen to them with pw_impl_factory_add_listener.

## Field Documentation

## ◆ version

uint32_t pw_impl_factory_events::version

## ◆ destroy

void(* pw_impl_factory_events::destroy) (void *data)

the factory is destroyed

## ◆ free

void(* pw_impl_factory_events::free) (void *data)

the factory is freed

## ◆ initialized

void(* pw_impl_factory_events::initialized) (void *data)

the factory is initialized

The documentation for this struct was generated from the following file:

- pipewire/impl-factory.h